Project

General

Profile

« Previous | Next » 

Revision 39790

merge revision(s) 39560,39562,39572: [Backport #7991]

* lib/rubygems/ext/ext_conf_builder.rb
  (Gem::Ext::ExtConfBuilder.hack_for_obsolete_sytle_gems): remove
  circular dependencies for old style gems which locate extconf.rb on
  the toplevel.  [ruby-core:53059] [ruby-trunk - Bug #7698]
  (Gem::Ext::ExtConfBuilder.hack_for_obsolete_style_gems): remove

* lib/rubygems/ext/ext_conf_builder.rb
  (Gem::Ext::ExtConfBuilder.hack_for_obsolete_style_gems): remove
  circular dependencies in install-so too.  [ruby-core:52882]
  [Bug #7698]